import coerceRecordTypes from '../../../config/utils/coerce-record-types';
import { databaseConfigFactory, rawDatabaseSchema } from '../../utils/database-config';

const env = coerceRecordTypes(process.env);
const envParsed = rawDatabaseSchema.strict().parse({
  connectionString: env['DATABASE_EBITEMPAPI_CONNECTION_STRING'],
  secure: env['DATABASE_EBITEMPAPI_SECURE'],
});

export const databaseConfig = databaseConfigFactory(envParsed);
