import { Global, Module } from '@nestjs/common';
import { APP_INTERCEPTOR } from '@nestjs/core';
import { ClientsModule } from './clients/clients.module';
import { EndpointsModule } from './endpoints/endpoints.module';
import { RequestLoggerInterceptor } from './request-logger.interceptor';

@Global()
@Module({
  imports: [EndpointsModule, ClientsModule],
  providers: [],
  exports: [EndpointsModule, ClientsModule],
})
export class AppRequestLoggingModule {}
