import { createParamDecorator, ExecutionContext } from '@nestjs/common';
import { RequestWithUser } from './constants/request-with-user';

export const AuthenticatedUser = createParamDecorator((data: unknown, ctx: ExecutionContext) => {
  const request = ctx.switchToHttp().getRequest<RequestWithUser>();

  return request.user;
});
