import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { UsersAuthService } from './users-auth.service';
import { AccountsEntity } from '../../database/connections/ebitemp-api/entities';
import { EBITEMP_API_DATASOURCE } from '../../database/connections/ebitemp-api/database.constants';

@Module({
  imports: [TypeOrmModule.forFeature([AccountsEntity], EBITEMP_API_DATASOURCE)],
  controllers: [],
  providers: [UsersAuthService],
  exports: [UsersAuthService],
})
export class UsersAuthModule {}
