import { Module, Global } from '@nestjs/common';
import { EnumifyUpdateFromDatabaseService } from './enumify-update-from-database.service';
import { ConfigModule } from '@nestjs/config';
import { enumifyConfig } from './enumify.config';

@Global()
@Module({
  imports: [ConfigModule.forFeature(enumifyConfig)],
  providers: [EnumifyUpdateFromDatabaseService],
  exports: [EnumifyUpdateFromDatabaseService],
})
export class EnumifyModule {}
