import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { keyvConfig } from './keyv.config';
import { KeyvService } from './keyv.service';

@Module({
  imports: [ConfigModule.forFeature(keyvConfig)],
  providers: [KeyvService],
  exports: [KeyvService],
})
export class KeyvModule {}
